use shared::{directories, names};

#[macro_use]
extern crate rocket;

mod assets;
mod links;
mod routes;

#[launch]
fn rocket() -> _ {
	let names_path = directories::get_names_path().unwrap();
	println!("names.json path: {}", names_path.display());
	let names_file = names::read_names_file(&names_path).unwrap();
	let names = names::load_names(names_file).unwrap();

	rocket::build()
		.manage(names)
		.mount(
			"/",
			routes![routes::index, routes::previous, routes::next, routes::name],
		)
		.register("/", catchers![routes::not_found])
		.mount(
			"/public",
			routes![assets::style, assets::woff2_font, assets::woff_font],
		)
}
